# Class StreamingFailedToAppendSegmentError

#### Hierarchy

- StreamingSegmentError
  - StreamingFailedToAppendSegmentError

#####
Index

### Constructors

constructor

### Properties

category
code
error
segmentInfo

## Constructors

### constructor

- new StreamingFailedToAppendSegmentError(error, segmentInfo): StreamingFailedToAppendSegmentError

- #### Parameters

  - error: Error
  - segmentInfo: SegmentInfo

  #### Returns StreamingFailedToAppendSegmentError

  Inherited from StreamingSegmentError.constructor

## Properties

### `Readonly` category

category: Streaming = ErrorCategory.Streaming

Inherited from StreamingSegmentError.category

### `Readonly` code

code: StreamingFailedToAppendSegment = ErrorCode.StreamingFailedToAppendSegment

Overrides StreamingSegmentError.code

### `Readonly` error

error: Error

Inherited from StreamingSegmentError.error

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from StreamingSegmentError.segmentInfo